---
title: pulsar
type: input
status: experimental
categories: ["Services"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/input/pulsar.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::danger TEMPORARILY REMOVED
Unfortunately due to issues with the client library the pulsar components have been removed until further notice. It is still possible to create custom benthos builds with them included. For more information follow https://github.com/benthosdev/benthos/issues/1184
:::

:::caution EXPERIMENTAL
This component is experimental and therefore subject to change or removal outside of major version releases.
:::
Reads messages from an Apache Pulsar server.

Introduced in version 3.43.0.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yml
# Common config fields, showing default values
input:
  label: ""
  pulsar:
    url: ""
    topics: []
    subscription_name: ""
    subscription_type: shared
```

</TabItem>
<TabItem value="advanced">

```yml
# All config fields, showing default values
input:
  label: ""
  pulsar:
    url: ""
    topics: []
    subscription_name: ""
    subscription_type: shared
    auth:
      oauth2:
        enabled: false
        audience: ""
        issuer_url: ""
        private_key_file: ""
      token:
        enabled: false
        token: ""
```

</TabItem>
</Tabs>

### Metadata

This input adds the following metadata fields to each message:

```text
- pulsar_message_id
- pulsar_key
- pulsar_ordering_key
- pulsar_event_time_unix
- pulsar_publish_time_unix
- pulsar_topic
- pulsar_producer_name
- pulsar_redelivery_count
- All properties of the message
```

You can access these metadata fields using
[function interpolation](/docs/configuration/interpolation#metadata).


## Fields

### `url`

A URL to connect to.


Type: `string`  

```yml
# Examples

url: pulsar://localhost:6650

url: pulsar://pulsar.us-west.example.com:6650

url: pulsar+ssl://pulsar.us-west.example.com:6651
```

### `topics`

A list of topics to subscribe to.


Type: `array`  

### `subscription_name`

Specify the subscription name for this consumer.


Type: `string`  

### `subscription_type`

Specify the subscription type for this consumer.

> NOTE: Using a `key_shared` subscription type will __allow out-of-order delivery__ since nack-ing messages sets non-zero nack delivery delay - this can potentially cause consumers to stall. See [Pulsar documentation](https://pulsar.apache.org/docs/en/2.8.1/concepts-messaging/#negative-acknowledgement) and [this Github issue](https://github.com/apache/pulsar/issues/12208) for more details.


Type: `string`  
Default: `"shared"`  
Options: `shared`, `key_shared`, `failover`, `exclusive`.

### `auth`

Optional configuration of Pulsar authentication methods.


Type: `object`  
Requires version 3.60.0 or newer  

### `auth.oauth2`

Parameters for Pulsar OAuth2 authentication.


Type: `object`  

### `auth.oauth2.enabled`

Whether OAuth2 is enabled.


Type: `bool`  
Default: `false`  

### `auth.oauth2.audience`

OAuth2 audience.


Type: `string`  
Default: `""`  

### `auth.oauth2.issuer_url`

OAuth2 issuer URL.


Type: `string`  
Default: `""`  

### `auth.oauth2.private_key_file`

The path to a file containing a private key.


Type: `string`  
Default: `""`  

### `auth.token`

Parameters for Pulsar Token authentication.


Type: `object`  

### `auth.token.enabled`

Whether Token Auth is enabled.


Type: `bool`  
Default: `false`  

### `auth.token.token`

Actual base64 encoded token.


Type: `string`  
Default: `""`  


