---
title: pulsar
type: output
status: experimental
categories: ["Services"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/pulsar.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::danger TEMPORARILY REMOVED
Unfortunately due to issues with the client library the pulsar components have been removed until further notice. It is still possible to create custom benthos builds with them included. For more information follow https://github.com/benthosdev/benthos/issues/1184
:::

:::caution EXPERIMENTAL
This component is experimental and therefore subject to change or removal outside of major version releases.
:::
Write messages to an Apache Pulsar server.

Introduced in version 3.43.0.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yml
# Common config fields, showing default values
output:
  label: ""
  pulsar:
    url: ""
    topic: ""
    key: ""
    ordering_key: ""
    max_in_flight: 64
```

</TabItem>
<TabItem value="advanced">

```yml
# All config fields, showing default values
output:
  label: ""
  pulsar:
    url: ""
    topic: ""
    key: ""
    ordering_key: ""
    max_in_flight: 64
    auth:
      oauth2:
        enabled: false
        audience: ""
        issuer_url: ""
        private_key_file: ""
      token:
        enabled: false
        token: ""
```

</TabItem>
</Tabs>

## Fields

### `url`

A URL to connect to.


Type: `string`  

```yml
# Examples

url: pulsar://localhost:6650

url: pulsar://pulsar.us-west.example.com:6650

url: pulsar+ssl://pulsar.us-west.example.com:6651
```

### `topic`

The topic to publish to.


Type: `string`  

### `key`

The key to publish messages with.
This field supports [interpolation functions](/docs/configuration/interpolation#bloblang-queries).


Type: `string`  
Default: `""`  

### `ordering_key`

The ordering key to publish messages with.
This field supports [interpolation functions](/docs/configuration/interpolation#bloblang-queries).


Type: `string`  
Default: `""`  

### `max_in_flight`

The maximum number of messages to have in flight at a given time. Increase this to improve throughput.


Type: `int`  
Default: `64`  

### `auth`

Optional configuration of Pulsar authentication methods.


Type: `object`  
Requires version 3.60.0 or newer  

### `auth.oauth2`

Parameters for Pulsar OAuth2 authentication.


Type: `object`  

### `auth.oauth2.enabled`

Whether OAuth2 is enabled.


Type: `bool`  
Default: `false`  

### `auth.oauth2.audience`

OAuth2 audience.


Type: `string`  
Default: `""`  

### `auth.oauth2.issuer_url`

OAuth2 issuer URL.


Type: `string`  
Default: `""`  

### `auth.oauth2.private_key_file`

The path to a file containing a private key.


Type: `string`  
Default: `""`  

### `auth.token`

Parameters for Pulsar Token authentication.


Type: `object`  

### `auth.token.enabled`

Whether Token Auth is enabled.


Type: `bool`  
Default: `false`  

### `auth.token.token`

Actual base64 encoded token.


Type: `string`  
Default: `""`  


