---
title: gcp_cloudtrace
type: tracer
status: experimental
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/tracer/gcp_cloudtrace.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::caution EXPERIMENTAL
This component is experimental and therefore subject to change or removal outside of major version releases.
:::
Send tracing events to a [Google Cloud Trace](https://cloud.google.com/trace).

Introduced in version 4.2.0.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yml
# Common config fields, showing default values
tracer:
  gcp_cloudtrace:
    project: ""
    sampling_ratio: 1
    flush_interval: ""
```

</TabItem>
<TabItem value="advanced">

```yml
# All config fields, showing default values
tracer:
  gcp_cloudtrace:
    project: ""
    sampling_ratio: 1
    tags: {}
    flush_interval: ""
```

</TabItem>
</Tabs>

## Fields

### `project`

The google project with Cloud Trace API enabled. If this is ommitted then the Google Cloud SDK will attempt auto-detect it from the environment.


Type: `string`  
Default: `""`  

### `sampling_ratio`

Sets the ratio of traces to sample. Tuning the sampling ratio is recommended for high-volume production workloads.


Type: `float`  
Default: `1`  

```yml
# Examples

sampling_ratio: 1
```

### `tags`

A map of tags to add to tracing spans.


Type: `object`  
Default: `{}`  

### `flush_interval`

The period of time between each flush of tracing spans.


Type: `string`  
Default: `""`  


